Index: cprs/trunk/CPRS-Chart/Options/fOptionsLists.dfm
===================================================================
--- cprs/trunk/CPRS-Chart/Options/fOptionsLists.dfm	(revision 828)
+++ cprs/trunk/CPRS-Chart/Options/fOptionsLists.dfm	(revision 829)
@@ -1,3 +1,3 @@
-object frmOptionsLists: TfrmOptionsLists
+inherited frmOptionsLists: TfrmOptionsLists
   Left = 354
   Top = 178
@@ -6,20 +6,17 @@
   BorderStyle = bsSingle
   Caption = 'Personal Lists'
-  ClientHeight = 387
+  ClientHeight = 442
   ClientWidth = 407
-  Color = clBtnFace
-  Font.Charset = DEFAULT_CHARSET
-  Font.Color = clWindowText
-  Font.Height = -11
-  Font.Name = 'MS Sans Serif'
-  Font.Style = []
   HelpFile = 'CPRSWT.HLP'
-  OldCreateOrder = False
   Position = poScreenCenter
   OnCreate = FormCreate
   OnShow = FormShow
+  ExplicitLeft = 354
+  ExplicitTop = 178
+  ExplicitWidth = 415
+  ExplicitHeight = 469
   PixelsPerInch = 96
   TextHeight = 13
-  object lblAddby: TLabel
+  object lblAddby: TLabel [0]
     Left = 7
     Top = 97
@@ -28,5 +25,5 @@
     Caption = 'Provider:'
   end
-  object lblPatientsAdd: TLabel
+  object lblPatientsAdd: TLabel [1]
     Left = 7
     Top = 200
@@ -35,5 +32,5 @@
     Caption = 'Patients to add:'
   end
-  object lblPersonalPatientList: TLabel
+  object lblPersonalPatientList: TLabel [2]
     Left = 248
     Top = 200
@@ -42,5 +39,5 @@
     Caption = 'Patients on personal list:'
   end
-  object lblPersonalLists: TLabel
+  object lblPersonalLists: TLabel [3]
     Left = 248
     Top = 97
@@ -49,5 +46,5 @@
     Caption = 'Personal Lists:'
   end
-  object lblInfo: TMemo
+  object lblInfo: TMemo [4]
     Left = 199
     Top = 24
@@ -61,9 +58,9 @@
       'adding or removing patients.')
     ReadOnly = True
-    TabOrder = 13
-  end
-  object pnlBottom: TPanel
+    TabOrder = 14
+  end
+  object pnlBottom: TPanel [5]
     Left = 0
-    Top = 354
+    Top = 409
     Width = 407
     Height = 33
@@ -72,5 +69,5 @@
     BevelOuter = bvNone
     ParentColor = True
-    TabOrder = 12
+    TabOrder = 13
     object bvlBottom: TBevel
       Left = 0
@@ -104,5 +101,5 @@
     end
   end
-  object lstAddBy: TORComboBox
+  object lstAddBy: TORComboBox [6]
     Left = 7
     Top = 112
@@ -120,4 +117,5 @@
     ListItemsOnly = False
     LongList = True
+    LookupPiece = 0
     MaxLength = 0
     Pieces = '2'
@@ -128,6 +126,7 @@
     OnKeyPress = lstAddByKeyPress
     OnNeedData = lstAddByNeedData
-  end
-  object btnPersonalPatientRA: TButton
+    CharsNeedMatch = 1
+  end
+  object btnPersonalPatientRA: TButton [7]
     Left = 166
     Top = 296
@@ -146,5 +145,5 @@
     OnClick = btnPersonalPatientRAClick
   end
-  object btnPersonalPatientR: TButton
+  object btnPersonalPatientR: TButton [8]
     Left = 166
     Top = 271
@@ -163,5 +162,5 @@
     OnClick = btnPersonalPatientRClick
   end
-  object lstListPats: TORListBox
+  object lstListPats: TORListBox [9]
     Left = 7
     Top = 215
@@ -185,5 +184,5 @@
     OnChange = lstListPatsChange
   end
-  object lstPersonalPatients: TORListBox
+  object lstPersonalPatients: TORListBox [10]
     Left = 248
     Top = 215
@@ -207,5 +206,5 @@
     OnChange = lstPersonalPatientsChange
   end
-  object btnListAddAll: TButton
+  object btnListAddAll: TButton [11]
     Left = 166
     Top = 241
@@ -224,5 +223,5 @@
     OnClick = btnListAddAllClick
   end
-  object btnNewList: TButton
+  object btnNewList: TButton [12]
     Left = 166
     Top = 113
@@ -240,5 +239,5 @@
     OnClick = btnNewListClick
   end
-  object btnDeleteList: TButton
+  object btnDeleteList: TButton [13]
     Left = 165
     Top = 171
@@ -257,5 +256,5 @@
     OnClick = btnDeleteListClick
   end
-  object lstPersonalLists: TORListBox
+  object lstPersonalLists: TORListBox [14]
     Left = 248
     Top = 112
@@ -274,5 +273,5 @@
     OnChange = lstPersonalListsChange
   end
-  object radAddByType: TRadioGroup
+  object radAddByType: TRadioGroup [15]
     Left = 7
     Top = 8
@@ -293,5 +292,5 @@
     OnClick = radAddByTypeClick
   end
-  object btnListSaveChanges: TButton
+  object btnListSaveChanges: TButton [16]
     Left = 166
     Top = 328
@@ -310,5 +309,5 @@
     OnClick = btnListSaveChangesClick
   end
-  object btnListAdd: TButton
+  object btnListAdd: TButton [17]
     Left = 166
     Top = 216
@@ -327,7 +326,78 @@
     OnClick = btnListAddClick
   end
+  object grpVisibility: TRadioGroup [18]
+    Left = 8
+    Top = 356
+    Width = 391
+    Height = 45
+    Caption = 'Who should be able to see and use the selected  list?'
+    Columns = 3
+    ItemIndex = 1
+    Items.Strings = (
+      '&Myself only'
+      '&All CPRS users')
+    TabOrder = 12
+    OnClick = grpVisibilityClick
+  end
+  inherited amgrMain: TVA508AccessibilityManager
+    Data = (
+      (
+        'Component = lblInfo'
+        'Status = stsDefault')
+      (
+        'Component = pnlBottom'
+        'Status = stsDefault')
+      (
+        'Component = btnOK'
+        'Status = stsDefault')
+      (
+        'Component = btnCancel'
+        'Status = stsDefault')
+      (
+        'Component = lstAddBy'
+        'Status = stsDefault')
+      (
+        'Component = btnPersonalPatientRA'
+        'Status = stsDefault')
+      (
+        'Component = btnPersonalPatientR'
+        'Status = stsDefault')
+      (
+        'Component = lstListPats'
+        'Status = stsDefault')
+      (
+        'Component = lstPersonalPatients'
+        'Status = stsDefault')
+      (
+        'Component = btnListAddAll'
+        'Status = stsDefault')
+      (
+        'Component = btnNewList'
+        'Status = stsDefault')
+      (
+        'Component = btnDeleteList'
+        'Status = stsDefault')
+      (
+        'Component = lstPersonalLists'
+        'Status = stsDefault')
+      (
+        'Component = radAddByType'
+        'Status = stsDefault')
+      (
+        'Component = btnListSaveChanges'
+        'Status = stsDefault')
+      (
+        'Component = btnListAdd'
+        'Status = stsDefault')
+      (
+        'Component = grpVisibility'
+        'Status = stsDefault')
+      (
+        'Component = frmOptionsLists'
+        'Status = stsDefault'))
+  end
   object mnuPopPatient: TPopupMenu
     Left = 8
-    Top = 352
+    Top = 408
     object mnuPatientID: TMenuItem
       Caption = 'Patient ID...'
